{% load l10n transport_utils %}
<tr class="{{ transp.get_statut_display }}{% if not transp.pk %} unsaved{% endif %}">
    {% if show_date %}
    <td class="text-nowrap">
        {% if 'confirmer' in columns %}
            <input type="checkbox" name="selection" value="{{ transp.pk }}" form="confirmation_form">
        {% endif %}
        <a href="{% url 'transports-by-day' transp.date.year transp.date.month transp.date.day %}">{{ transp.date|date_transp }}</a>
        {% if transp.pk %}<div><small><i>({{ transp.pk }})</i></small></div>{% endif %}
    </td>
    {% endif %}
    <td class="tline_hour">{{ transp.heure_depart.time }}</td>
    <td class="tline_hour">{{ transp.heure_rdv|localtime }}</td>
    <td class="tline_hour">{{ transp.heure_depart_retour.time }}</td>
    {% if show_client %}
    <td class="tline_client" data-npaorigin="{{ transp.adresse_depart.npa }}">
        <a href="{% url 'transport-client-detail' transp.client_id %}">{{ transp.client }}</a><br>
        {{ transp.adresse_depart|as_html }}
        {% if transp.client.tel_1 %}<span class="tel">{{ transp.client.tel_1|as_tel_icon }}</span>{% endif %}
        {% if transp.client.tel_2 %}<span class="tel">{{ transp.client.tel_2|as_tel_icon }}</span>{% endif %}
    </td>
    {% endif %}
    <td>{% if transp.pk %}<a href="{% url 'trajets-details' transp.pk %}">{% endif %}{{ transp.retour|ar_icon }}{% if transp.pk %}</a>{% endif %}
        {% if transp.modele_id %}<br>
        <a href="{% url 'transportmodel-edit' transp.modele_id %}">
            <img class="icon" src="{% static 'img/repeat.svg' %}" title="Transport répétitif">
        </a>
        {% endif %}
        {% if transp.has_trajet_commun %}
            <img src="{% static 'img/plusieurs_actif.png' %}" class="icon"
                 title="Tout ou partie de ce transport est effectué en commun avec d’autres clients"
                 data-bs-toggle="tooltip">
        {% endif %}
    </td>
    <td>{% if transp.vers_domicile %}
            <div class="fw-bold">Retour à domicile:</div> {{ transp.destination|as_html }}
        {% else %}
            {{ transp.destination|as_html }}
            {% if transp.destination.tel %}<span class="tel">{{ transp.destination.tel|as_tel_icon }}</span>{% endif %}
        {% endif %}
        {% if transp.statut == ANNULE %}
            {% if transp.raison_annulation %}<div>{{ transp.raison_annulation }}</div>{% endif %}
            <div class="rapport nostrike">{% spaceless %}
                <div class="row">
                    <div class="col-sm-9">
                        {% if transp.defrayer_chauffeur is None %}
                        <div>Le transport a été signalé comme non effectué.</div>
                        {% endif %}
                    </div>
                    <div class="col-sm-3 text-end">
                        <a class="ms-3 openmodal" href="{% url 'transport-cancel' transp.pk %}" title="Valider/éditer l’annulation"
                           data-bs-toggle="tooltip" data-savelabel="Annuler le transport">
                            <img class="icon" src="{% static 'img/cancel.svg' %}">
                        </a>
                    </div>
                </div>
                {% if transp.km %}<div>Km: {{ transp.km }}</div>{% endif %}
                {% if transp.rapport_chauffeur %}<div>Remarques du chauffeur: <i>{{ transp.rapport_chauffeur }}</i></div>{% endif %}
            {% endspaceless %}</div>
        {% elif transp.statut >= RAPPORTE %}
        <div class="rapport">
            <div class="row">
                <div class="col-sm-9">
                    Km: <span class="{% if not transp.km_conforme %}nonconforme{% endif %}">{{ transp.km }} km</span>
                    <i>(calculés: {{ transp.dist_calc_chauffeur|as_km }} km)</i>
                </div>
                <div class="col-sm-3 text-end">
                    <a href="{% url 'transport-rapport' transp.pk %}?next={% url 'gestion-with-tab' 5 %}" title="Éditer le rapport">
                        <img class="icon" src="{% static 'img/report.svg' %}">
                    </a>
                    {% if transp.statut == RAPPORTE %}
                    <form class="inline ajax ms-2 validate_transport" action="{% url 'transport-check' transp.pk %}">{% csrf_token %}
                        <img class="icon" src="{% static 'img/check.svg' %}" title="Valider le rapport">
                    </form>
                    {% endif %}
                </div>
            </div>
            {% if transp.duree_eff is not None %}<div>Durée effective: {{ transp.duree_eff|strip_seconds }}</div>{% endif %}
            {% if transp.temps_attente is not None %}
                <div>Temps d’attente: <span class="{% if not transp.temps_attente_conforme %}nonconforme{% endif %}">{{ transp.temps_attente|strip_seconds }}</span></div>
            {% endif %}
            {% if transp.rapport_chauffeur %}<div>Remarques: <span class="nonconforme">{{ transp.rapport_chauffeur }}</span></div>{% endif %}
            {% for frais in transp.frais.all %}
                <div>
                    {{ frais.description }}: <span class="{% if frais.non_conforme %}nonconforme{% endif %}">{{ frais.cout|unlocalize }} CHF</span>
                    {% if frais.justif %}<a href="{{ frais.justif.url }}"><img src="{% static 'ficons/master.svg' %}" class="icon"></a>{% endif %}
                </div>
            {% endfor %}
        </div>
        {% endif %}
    </td>
    {% if show_chauffeur %}
    <td>
        {% with chauffeur=transp.chauffeur %}
        {% if chauffeur %}
            <a href="{% url 'benevole-transports' chauffeur.pk %}">{{ chauffeur }}</a>
            {% if suppr_chauffeur %}
            <form method="post" action="{% url 'transport-attrib-remove' transp.pk %}" class="inline">{% csrf_token %}
                <button type="submit" class="btn btn-icon p-0" data-confirm="Voulez-vous vraiment enlever le chauffeur de ce transport ?">
                    <img class="chauffeur_remove" src="{% static 'admin/img/icon-deletelink.svg' %}" title="Supprimer le chauffeur">
                </button>
            </form>
            {% endif %}
            <div>
            {% if transp.statut == CONFIRME and chauffeur.utilisateur_id %}
              {% if transp.chauffeur_vu %}
                <img src="{% static 'admin/img/icon-yes.svg' %}" title="Vu par le chauffeur" data-bs-toggle="tooltip">
                {% else %}<span class title="Pas encore vu par le chauffeur" data-bs-toggle="tooltip">🤔</span>
              {% endif %}
            {% endif %}
            {% if chauffeur.tel_prive %}{{ chauffeur.tel_prive|as_tel_icon }}{% endif %}
            {% if chauffeur.tel_mobile %}{{ chauffeur.tel_mobile|as_tel_icon }}{% endif %}
            {% if chauffeur.tel_prof %}{{ chauffeur.tel_prof|as_tel_icon }} (prof){% endif %}
            </div>
        {% else %}-{% endif %}
        {% endwith %}
    </td>
    {% endif %}
    {% if 'statut' in columns %}
    <td>
        {{ transp.get_statut_display }}
        {% if transp.statut_fact == 99 %}<br><i>Non facturé</i>{% endif %}
    </td>
    {% endif %}
    <td class="text-nowrap text-end">
        {% if 'attrib' in actions %}
            <a href="{{ transp.url_attrib }}" title="Attribuer un chauffeur">
                <img class="icon" src="{% static 'logos/transport.svg' %}">
            </a>
        {% endif %}
        {% if 'edit' in actions %}
            <a class="ms-2" href="{{ transp.url_edit }}?next={{ request.get_full_path }}" title="Modifier le transport">
                <img class="icon" src="{% static 'img/edit.svg' %}">
            </a>
        {% endif %}
        {% if 'rapport' in actions %}
            <a class="ms-2" href="{% url 'transport-rapport' transp.pk %}?next={% url 'gestion-with-tab' 5 %}" title="Rapporter le transport">
                <img class="icon" src="{% static 'img/report.svg' %}">
            </a>
        {% endif %}
        {% if 'hist' in actions and transp.pk %}
            <img class="ms-2 icon" src="{% static 'img/clock.svg' %}" data-bs-toggle="tooltip" data-bs-html="true"
                 title="{% for jr in transp.journaux.all %}{{ jr.quand }}: {{ jr.description }} (par {{ jr.qui }})<br>{% endfor %}">
        {% endif %}
        {% if 'cancel' in actions %}
            <a class="ms-2 openmodal" href="{{ transp.url_cancel }}" title="Annuler le transport"
               data-savelabel="Annuler le transport">
                <img class="icon" src="{% static 'img/cancel.svg' %}">
            </a>
        {% endif %}
    </td>
</tr>
